<script setup lang="ts">
import DocumentationIcon from './icons/IconDocumentation.vue'
import ToolingIcon from './icons/IconTooling.vue'
import EcosystemIcon from './icons/IconEcosystem.vue'
import CommunityIcon from './icons/IconCommunity.vue'
import SupportIcon from './icons/IconSupport.vue'
import { ref } from '@vue/reactivity'

var value = ref("");

</script>

<template>
  <div class="container">
    <div class="row">What's your name?</div>
    <div class="row"> 
      <input type="text" v-model="value" class="input" />
    </div>
    <div class="row">
      <a click="$emit('click:next', value)">Next</a>
    </div>
    <div class="row">
      <a @click="$emit('click:guest')">Guests</a>
    </div>
  </div>
</template>

<style scoped>
  .container {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
  }

  .row {
    flex: 1;
    flex-basis: 100%;
    text-align: center;

    padding: 16px;
  }

  .input {
    padding: 8px;
    width: 200px;
    font-size: 1.1em;
  }
</style>